# PhasicFlow: rectangleMesh Class Reference

rectangleMesh Class Reference
Inheritance diagram for rectangleMesh:
[legend]
Collaboration diagram for rectangleMesh:
[legend]

## Public Member Functions

| TypeInfoNV ("rectangleMesh")
INLINE_FUNCTION_HD | rectangleMesh ()
INLINE_FUNCTION_HD | rectangleMesh (const realx3 &minP, const realx3 &maxP, int32 nx, int32 ny, int32 nz)
INLINE_FUNCTION_H | rectangleMesh (const dictionary &dict)
INLINE_FUNCTION_HD | rectangleMesh (const rectangleMesh &)=default
INLINE_FUNCTION_HD rectangleMesh & | operator= (const rectangleMesh &)=default
INLINE_FUNCTION_HD | rectangleMesh (rectangleMesh &&)=default
INLINE_FUNCTION_HD rectangleMesh & | operator= (rectangleMesh &&)=default
INLINE_FUNCTION_HD | ~rectangleMesh ()=default
INLINE_FUNCTION_HD int64 | size () const
INLINE_FUNCTION_HD real | cellVol () const
INLINE_FUNCTION_H auto | minPoint () const
INLINE_FUNCTION_H auto | maxPoint () const
bool | read (iIstream &is)
bool | write (iOstream &os) const
bool | writeToVtk (iOstream &os) const
Public Member Functions inherited from cells< int32 >
INLINE_FUNCTION_HD | cells ()
INLINE_FUNCTION_H | cells (const box &domain, real cellSize)
INLINE_FUNCTION_H | cells (const box &domain, int32 nx, int32 ny, int32 nz)
INLINE_FUNCTION_HD | cells (const cells &)=default
INLINE_FUNCTION_HD | cells (cells &&)=default
INLINE_FUNCTION_HD cells & | operator= (const cells &)=default
INLINE_FUNCTION_HD cells & | operator= (cells &&)=default
cells | getCells () const
INLINE_FUNCTION_H void | setCellSize (real cellSize)
INLINE_FUNCTION_H void | setCellSize (realx3 cellSize)
INLINE_FUNCTION_HD realx3 | cellSize () const
const INLINE_FUNCTION_HD CellType & | numCells () const
INLINE_FUNCTION_HD int32 | nx () const
INLINE_FUNCTION_HD int32 | ny () const
INLINE_FUNCTION_HD int32 | nz () const
INLINE_FUNCTION_HD int64 | totalCells () const
const auto & | domain () const
INLINE_FUNCTION_HD CellType | pointIndex (const realx3 &p) const
INLINE_FUNCTION_HD bool | pointIndexInDomain (const realx3 p, CellType &index) const
INLINE_FUNCTION_HD bool | inDomain (const realx3 &p) const
INLINE_FUNCTION_HD bool | isInRange (const CellType &cell) const
INLINE_FUNCTION_HD bool | isInRange (int32 i, int32 j, int32 k) const
INLINE_FUNCTION_HD void | extendBox (const CellType &p1, const CellType &p2, const CellType &p3, int32 extent, CellType &minP, CellType &maxP) const
INLINE_FUNCTION_HD void | extendBox (const realx3 &p1, const realx3 &p2, const realx3 &p3, real extent, realx3 &minP, realx3 &maxP) const
INLINE_FUNCTION_HD CellType | bound (CellType p) const
INLINE_FUNCTION_HD realx3 | bound (realx3 p) const

## Additional Inherited Members

Public Types inherited from cells< int32 >
using | CellType = triple< int32 >
Protected Member Functions inherited from cells< int32 >
INLINE_FUNCTION_H void | calculate ()
Protected Attributes inherited from cells< int32 >
box | domain_
realx3 | cellSize_
CellType | numCells_

## Detailed Description

Definition at line 31 of file rectangleMesh.hpp.

## Constructor & Destructor Documentation

## rectangleMesh() [1/5]

INLINE_FUNCTION_HD rectangleMesh | ( |  | ) |

inline

Definition at line 42 of file rectangleMesh.hpp.

## rectangleMesh() [2/5]

INLINE_FUNCTION_HD rectangleMesh | ( | const realx3 & | minP,
|  | const realx3 & | maxP,
|  | int32 | nx,
|  | int32 | ny,
|  | int32 | nz
| ) |  |

inline

Definition at line 45 of file rectangleMesh.hpp.

## rectangleMesh() [3/5]

INLINE_FUNCTION_H rectangleMesh | ( | const dictionary & | dict | ) |

inline

Definition at line 58 of file rectangleMesh.hpp.

## rectangleMesh() [4/5]

INLINE_FUNCTION_HD rectangleMesh | ( | const rectangleMesh & |  | ) |

default

## rectangleMesh() [5/5]

INLINE_FUNCTION_HD rectangleMesh | ( | rectangleMesh && |  | ) |

default

## ~rectangleMesh()

INLINE_FUNCTION_HD ~rectangleMesh | ( |  | ) |

default

## Member Function Documentation

## TypeInfoNV()

TypeInfoNV | ( | "rectangleMesh" |  | ) |

## operator=() [1/2]

INLINE_FUNCTION_HD rectangleMesh& operator= | ( | const rectangleMesh & |  | ) |

default

## operator=() [2/2]

INLINE_FUNCTION_HD rectangleMesh& operator= | ( | rectangleMesh && |  | ) |

default

## size()

INLINE_FUNCTION_HD int64 size | ( |  | ) | const

inline

Definition at line 87 of file rectangleMesh.hpp.

References cells< int32 >::totalCells().

Referenced by rectMeshField< int32, HostSpace >::size().

Here is the call graph for this function:
Here is the caller graph for this function:

## cellVol()

INLINE_FUNCTION_HD real cellVol | ( |  | ) | const

inline

Definition at line 93 of file rectangleMesh.hpp.

References cells< int32 >::cellSize().

Referenced by rectMeshField< int32, HostSpace >::cellVol().

Here is the call graph for this function:
Here is the caller graph for this function:

## minPoint()

INLINE_FUNCTION_H auto minPoint | ( |  | ) | const

inline

Definition at line 100 of file rectangleMesh.hpp.

References cells< int32 >::domain().

Referenced by rectangleMesh::writeToVtk().

Here is the call graph for this function:
Here is the caller graph for this function:

## maxPoint()

INLINE_FUNCTION_H auto maxPoint | ( |  | ) | const

inline

Definition at line 106 of file rectangleMesh.hpp.

References cells< int32 >::domain().

Here is the call graph for this function:

## read()

bool read | ( | iIstream & | is | ) |

inline

Definition at line 111 of file rectangleMesh.hpp.

## write()

bool write | ( | iOstream & | os | ) | const

inline

Definition at line 116 of file rectangleMesh.hpp.

## writeToVtk()

bool writeToVtk | ( | iOstream & | os | ) | const

inline

Definition at line 121 of file rectangleMesh.hpp.

References cells< int32 >::cellSize(), pFlow::endl(), rectangleMesh::minPoint(), cells< int32 >::nx(), cells< int32 >::ny(), and cells< int32 >::nz().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- utilities/postprocessPhasicFlow/rectangleMesh.hpp